export 'src/state_container_context.dart';
export 'src/state_container.dart' show StateContainer;
export 'src/mutation.dart' show Mutation;
export 'src/extensions.dart' show FrameworkOps, FrameworkWidgets;
export 'src/async.dart'
    show AsyncStateContainer, Async, Uninitialized, Loading, Loaded;
export 'src/effect.dart';

export 'src/flutter_bindings.dart';

class Boxed<T> {
  final T payload;
  Boxed(this.payload);

  @override
  int get hashCode => payload.hashCode;

  @override
  bool operator ==(Object other) {
    return other.hashCode == hashCode;
  }
}
